from sense_hat import SenseHat
import time, math

sense = SenseHat()

r = [ 255,  0,  0 ]
b = [   0,  0,255 ]
y = [ 255,255,  0 ]
k = [   0,  0,  0 ]

face1 = [ k,k,y,y,y,y,k,k,
          k,y,y,y,y,y,y,k,
          y,y,k,y,y,k,y,y,
          y,y,k,y,y,k,y,y,
          y,y,y,y,y,y,y,y,
          y,r,y,y,y,y,r,y,
          k,y,r,r,r,r,y,k,
          k,k,y,y,y,y,k,k ]

face2 = [ k,k,b,b,b,b,k,k,
          k,r,b,b,b,b,r,k,
          b,b,r,b,b,r,b,b,
          b,b,k,b,b,k,b,b,
          b,b,b,b,b,b,b,b,
          b,b,b,r,r,b,b,b,
          k,b,r,b,b,r,b,k,
          k,k,b,b,b,b,k,k ]

sense.clear()

value = 0
i = 0
while i < 100:
    ( ax, ay, az ) = sense.get_accelerometer_raw().values()
    accel = math.sqrt( ax * ax + ay * ay + az * az )
    value = value + accel
    i = i + 1

offset = value / 100

while True:
    ( ax, ay, az ) = sense.get_accelerometer_raw().values()
    accel = math.sqrt( ax * ax + ay * ay + az * az )
    move = abs( accel - offset )
    
    if ( move < 0.5 ):
        sense.set_pixels(face1)
    else:
        sense.set_pixels(face2)
        time.sleep(3)

