import time, wiringpi as pi
import random

bit_pin = [ 4, 17, 27, 22 ]
SW_PIN = 18

wait = 100
correct = 7

pi.wiringPiSetupGpio()
for i in range( len( bit_pin ) ):
    pi.pinMode( bit_pin[i], pi.OUTPUT )
pi.pinMode( SW_PIN, pi.INPUT )
pi.pullUpDnControl( SW_PIN, pi.PUD_UP )

def barledout( point ):
    for i in range( len( bit_pin ) ):
        pi.digitalWrite( bit_pin[i], point & ( 0x01 << i )  )


point = 0
over = 0

barledout( 10 )
time.sleep ( random.uniform(1,3) )

while ( point < 10 ):
    barledout( point )
    w = 0
    while ( w < wait ):
        if ( pi.digitalRead( SW_PIN ) == pi.LOW ):
            over = 1
            break
        w = w + 1
        time.sleep(0.001)
    if ( over == 1 ):
        break
    
    point = point + 1

if ( point == correct ):
    brink = 0
    while ( brink < 10 ):
        barledout( 10 )
        time.sleep( 0.5 )
        barledout( correct )
        time.sleep( 0.5 )
        brink = brink + 1

